/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * <p>
 * http://www.apache.org/licenses/LICENSE-2.0
 * <p>
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.hadoop.ozone;

/**
 * Versioning for protocol clients.
 */
public final class ClientVersions {

  // old client, doesn't even send version number in requests
  public static final int DEFAULT_VERSION = 0;

  // DatanodeDetails#getFromProtobuf handles unknown types of ports
  public static final int VERSION_HANDLES_UNKNOWN_DN_PORTS = 1;

  // this should always point to the latest version
  public static final int CURRENT_VERSION = VERSION_HANDLES_UNKNOWN_DN_PORTS;

  private ClientVersions() {
    // no instances
  }

}
